OpenTTD Source: src/picker_gui.h File Reference

OpenTTD Source 15.0-RC2

Data Structures | Typedefs | Functions
picker_gui.h File Reference

Functions/types etc. More...

`#include "newgrf_badge.h"`
`#include "newgrf_badge_gui.h"`
`#include "querystring_gui.h"`
`#include "sortlist_type.h"`
`#include "stringfilter_type.h"`
`#include "strings_type.h"`
`#include "timer/timer.h"`
`#include "timer/timer_game_calendar.h"`
`#include "timer/timer_window.h"`
`#include "window_gui.h"`
`#include "window_type.h"`

Go to the source code of this file.

## Data Structures
struct | PickerItem
class | PickerCallbacks
| Class for PickerClassWindow to collect information and retain state. More...
class | PickerCallbacksNewGRFClass< T >
| Helper for PickerCallbacks when the class system is based on NewGRFClass. More...
struct | PickerFilterData
class | PickerWindow

## Typedefs
using | PickerClassList = GUIList< int, std::nullptr_t, PickerFilterData & >
| GUIList holding classes to display.
using | PickerTypeList = GUIList< PickerItem, std::nullptr_t, PickerFilterData & >
| GUIList holding classes/types to display.

## Functions
std::unique_ptr< NWidgetBase > | MakePickerClassWidgets ()
| Create nested widgets for the class picker widgets.
std::unique_ptr< NWidgetBase > | MakePickerTypeWidgets ()
| Create nested widgets for the type picker widgets.

## Detailed Description

Functions/types etc.

related to the picker GUI.

Definition in file picker_gui.h.

## Typedef Documentation

## ◆ PickerClassList

using PickerClassList = GUIList<int, std::nullptr_t, PickerFilterData &>

GUIList holding classes to display.

Definition at line 154 of file picker_gui.h.

## ◆ PickerTypeList

using PickerTypeList = GUIList<PickerItem, std::nullptr_t, PickerFilterData &>

GUIList holding classes/types to display.

Definition at line 155 of file picker_gui.h.

## Function Documentation

## ◆ MakePickerClassWidgets()

std::unique_ptr< NWidgetBase > MakePickerClassWidgets | ( |  | ) |

Create nested widgets for the class picker widgets.

Definition at line 743 of file picker_gui.cpp.

References EndContainer(), MakeNWidgets(), NWID_HORIZONTAL, NWID_SELECTION, NWID_VERTICAL, NWID_VSCROLLBAR, NWidget(), SetFill(), SetMatrixDataTip(), SetMinimalSize(), SetPadding(), SetResize(), SetScrollbar(), SetStringTip(), WidgetDimensions::unscaled, WID_PW_CLASS_FILTER, WID_PW_CLASS_LIST, WID_PW_CLASS_SCROLL, WID_PW_CLASS_SEL, WWT_EDITBOX, WWT_MATRIX, and WWT_PANEL.

## ◆ MakePickerTypeWidgets()

std::unique_ptr< NWidgetBase > MakePickerTypeWidgets | ( |  | ) |

Create nested widgets for the type picker widgets.

Definition at line 766 of file picker_gui.cpp.

References EndContainer(), EqualSize, MakeNWidgets(), NWID_HORIZONTAL, NWID_MATRIX, NWID_SELECTION, NWID_VERTICAL, NWID_VSCROLLBAR, NWidget(), SetAspect(), SetFill(), SetMinimalTextLines(), SetPadding(), SetPIP(), SetResize(), SetScrollbar(), SetSpriteTip(), SetStringTip(), WidgetDimensions::unscaled, WID_PW_BADGE_FILTER, WID_PW_CONFIGURE_BADGES, WID_PW_EXPAND, WID_PW_MODE_ALL, WID_PW_MODE_SAVED, WID_PW_MODE_USED, WID_PW_SHRINK, WID_PW_TYPE_FILTER, WID_PW_TYPE_ITEM, WID_PW_TYPE_MATRIX, WID_PW_TYPE_NAME, WID_PW_TYPE_RESIZE, WID_PW_TYPE_SCROLL, WID_PW_TYPE_SEL, WWT_EDITBOX, WWT_EMPTY, WWT_IMGBTN, WWT_PANEL, WWT_PUSHTXTBTN, WWT_RESIZEBOX, and WWT_TEXTBTN.